コード例 #1
0
        public static Setting GetDefault()
        {
            Setting setting = new Setting(Assembly.GetExecutingAssembly());

            setting.Add(Name.ParameterName_Simplified, "SAM_IsNotValidEditable");
            setting.Add(Name.ParameterName_Json, "SAM_JSON");

            return(setting);
        }
コード例 #2
0
        public override void OnLoad(int version, int subversion, int buildversion)
        {
            /*
             * Setting[0] = new StringSetting("Owner name/uuid", "Player that the bots will follow.", "");
             * Setting[1] = new NumberSetting("Clicks per second", "How fast should the bot attack?", 5, 1, 60, 1);
             * Setting[2] = new NumberSetting("Miss rate", "How often does the bot miss?", 15, 0, 100, 1);
             * Setting[3] = new StringSetting("Friendly name(s)/uuid(s)", "Uuids of the user that own't be hit. Split by spaces'", "");
             * Setting[4] = new BoolSetting("Auto equip best armor?", "Should the bot auto equip the best armor it has?", true);
             * Setting[5] = new BoolSetting("Equip best weapon?", "Should the best item be auto equiped?", true);
             * Setting[6] = new ComboSetting("Mode", null, new string[] {"Passive", "Aggressive"}, 0);
             */

            Setting.Add(new StringSetting("Owner name/uuid", "Player that the bots will follow.", ""));
            Setting.Add(new StringListSetting("Friendly name(s)/uuid(s)", "Uuids of the user that own't be hit. Split by spaces'", ""));
            Setting.Add(new ComboSetting("Mode", null, new string[] { "Passive", "Aggressive" }, 0));

            var clickGroup = new GroupSetting("Clicks", "");

            clickGroup.Add(new NumberSetting("Clicks per second", "How fast should the bot attack?", 5, 1, 60, 1));
            clickGroup.Add(new NumberSetting("Miss rate", "How often does the bot miss?", 15, 0, 100, 1));
            Setting.Add(clickGroup);

            var equipmentGroup = new GroupSetting("Equipment", "");

            equipmentGroup.Add(new BoolSetting("Auto equip best armor?", "Should the bot auto equip the best armor it has?", true));
            equipmentGroup.Add(new BoolSetting("Equip best weapon?", "Should the best item be auto equiped?", true));
            Setting.Add(equipmentGroup);
        }
コード例 #3
0
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     Setting.Add(new NumberSetting("Eat when hunger is below X", "When should the bot eat normal food (-1 if it shouldn't eat them).", -1, -1, 19, 1));
     Setting.Add(new NumberSetting("Eat gapples when below X hp", "When should the bot eat golden apples (-1 if it shouldn't eat them).", -1, -1, 19, 1));
     Setting.Add(new ComboSetting("Mode", null, new string[] { "Efficient", "Accurate" }, 1));
     Setting.Add(new BoolSetting("Soup", "Can the bot use soup for healing?", false));
 }
コード例 #4
0
 // Runs when the plugin loads (when MineBot starts)
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     // Adds the path setting (file path)
     Setting.Add(new PathSetting("Image Location", "Location of image", ""));
     // Adds the bool setting (shows the GUI on enable)
     Setting.Add(new BoolSetting("Show GUI", "Shows the GUI on enable", true));
 }
コード例 #5
0
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     Setting.Add(new BoolSetting("Keep rotation", "Should the bot not change it's head rotation?", false));
     Setting.Add(new ComboSetting("Sensitivity", null, new string[] { "High", "Medium", "Low" }, 1));
     Setting.Add(new ComboSetting("Reaction speed", null, new string[] { "Fast", "Medium", "Slow" }, 1));
     Setting.Add(new BoolSetting("Diconnect on TNT detect", "Should the bot disconnect if it detects tnt nearby (mcmmo plugin)", false));
 }
コード例 #6
0
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     Setting.Add(new BoolSetting("Strength", null, true));
     Setting.Add(new BoolSetting("Speed", null, true));
     Setting.Add(new BoolSetting("Fire resistance", null, true));
     Setting.Add(new NumberSetting("Health", "At how much health should the bot use health potions.", 10, -1, 20, 1));
 }
コード例 #7
0
        public override void OnLoad(int version, int subversion, int buildversion)
        {
            /*
             * Setting[0] = new NumberSetting("Height", "Height level that the bots should mine at", 12, 1, 256);
             * Setting[1] = new ComboSetting("Pattern", "", new[] { PATTERNS[0].GetName(), PATTERNS[1].GetName(), PATTERNS[2].GetName() }, 1);
             * Setting[2] = new StringSetting("Macro on inventory full", "Starts the macro when the bots inventory is full.", "");
             * Setting[3] = new BoolSetting("Diamond ore", "", true);
             * Setting[4] = new BoolSetting("Emerald ore", "", true);
             * Setting[5] = new BoolSetting("Iron ore", "", true);
             * Setting[6] = new BoolSetting("Gold ore", "", true);
             * Setting[7] = new BoolSetting("Redstone ore", "", false);
             * Setting[8] = new BoolSetting("Lapis Lazuli ore", "", false);
             * Setting[9] = new BoolSetting("Coal ore", "", false);
             */

            Setting.Add(new NumberSetting("Height", "Height level that the bots should mine at", 12, 1, 256));
            Setting.Add(new ComboSetting("Pattern", "", new[] { PATTERNS[0].GetName(), PATTERNS[1].GetName(), PATTERNS[2].GetName() }, 1));
            Setting.Add(new StringSetting("Macro on inventory full", "Starts the macro when the bots inventory is full.", ""));

            var group = new GroupSetting("Ore", "Select which ore types should the bot focus");

            group.Add(new BoolSetting("Diamond ore", "", true));
            group.Add(new BoolSetting("Emerald ore", "", true));
            group.Add(new BoolSetting("Iron ore", "", true));
            group.Add(new BoolSetting("Gold ore", "", true));
            group.Add(new BoolSetting("Redstone ore", "", false));
            group.Add(new BoolSetting("Lapis Lazuli ore", "", false));
            group.Add(new BoolSetting("Coal ore", "", false));
            Setting.Add(group);
        }
コード例 #8
0
        public static Setting GetDefault()
        {
            Setting setting = new Setting(Assembly.GetExecutingAssembly());

            setting.Add(Name.ParameterName_Topology, "Topology");

            return(setting);
        }
コード例 #9
0
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     Setting.Add(new PathSetting("Text file path", "Picks lines from the selected file to spam.", ""));
     Setting.Add(new NumberSetting("Min delay", "", 1000, 0, 60 * 60 * 60));
     Setting.Add(new NumberSetting("Max delay", "(-1 to always use 'Min delay')", -1, -1, 60 * 60 * 60));
     Setting.Add(new BoolSetting("Anti-spam", "Should random numbers be added at the end?", false));
     Setting.Add(new BoolSetting("Random lines", "Should it pick a random line each time or go top to bottom?", true));
 }
コード例 #10
0
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     Setting.Add(new LocationSetting("Start x y z", ""));
     Setting.Add(new LocationSetting("End x y z", ""));
     Setting.Add(new ComboSetting("Mode", null, new string[] { "Fast", "Accurate" }, 1));
     Setting.Add(new BoolSetting("Sand walking", "Can the bot walk on sand (might cause it falling off with multiple bots)", false));
     Setting.Add(new BoolSetting("No movement", "Should the bot place all the sand from the spot it is in?", false));
 }
コード例 #11
0
        public override void OnLoad(int version, int subversion, int buildversion)
        {
            Setting.Add(new NumberSetting("Radius (crop, x-radius):", "Radius around the initial bot spawn position that it will look around.", 64, 1, 1000, 1));
            Setting.Add(new NumberSetting("Radius (crop, y-radius):", "What can be the Y difference for the bot for it to find valid crops.", 4, 1, 256, 1));
            Setting.Add(new ComboSetting("Speed mode", null, new string[] { "Accurate", "Fast" }, 0));

            var automationGroup = new GroupSetting("Automation", "Use these settings to automate actions.");
            var storeSetting    = new ComboSetting("On Inventory Full", "What should the bot do once it's inventory is full.", new[] { "Nothing", "Store Inventory In Closest Chest", "Run Macro" }, 1);

            storeSetting.Add(2, new StringSetting("On Inventory Full Macro", null, ""));
            automationGroup.Add(storeSetting);
            this.Setting.Add(automationGroup);
        }
コード例 #12
0
        public override void OnLoad(int version, int subversion, int buildversion)
        {
            /*
             * Setting[0] = new StringSetting("User or Channel ID", "Enable developer mode: Settings->Appearance->Developer mode. Copy id: right click channel and click 'Copy ID'.", "");
             * Setting[1] = new BoolSetting("Local notifications", "", true);
             * Setting[2] = new BoolSetting("Explosion notifications", "", true);
             * Setting[3] = new BoolSetting("Wither notifications", "", true);
             * Setting[4] = new BoolSetting("Creeper notifications", "", true);
             * Setting[5] = new BoolSetting("Player notifications", "", true);
             * Setting[6] = new StringSetting("Friendly uuid(s)/name(s)", "Uuids/name(s) split by space.", "");
             * Setting[7] = new StringSetting("Lamp coordinates", "Coordinates in the [X Y Z] format, split by a space", "[-1 -1 -1] [0 0 0] [1 1 1]");
             * Setting[8] = new ComboSetting("Mode", "Notification mode", new []{"none", "@everyone", "@everyone + tts"}, 1);
             * Setting[9] = new LinkSetting("Add bot", "Adds the bot to your discord channel (you must have administrator permissions).", "https://discordapp.com/oauth2/authorize?client_id=299708378236583939&scope=bot&permissions=6152");
             * Setting[10] = new BoolSetting("Detect falling blocks", "Should the bot detected falling sand and falling tnt", true);
             */

            Setting.Add(new StringSetting("User or Channel ID", "Enable developer mode: Settings->Appearance->Developer mode. Copy id: right click channel and click 'Copy ID'.", ""));
            Setting.Add(new BoolSetting("Local notifications", "", true));

            var notificationGroup = new GroupSetting("Notifications", "Select which notifications you wish to get here.");

            notificationGroup.Add(new BoolSetting("Explosion notifications", "", true));
            notificationGroup.Add(new BoolSetting("Wither notifications", "", true));
            notificationGroup.Add(new BoolSetting("Creeper notifications", "", true));
            notificationGroup.Add(new BoolSetting("Player notifications", "", true));
            notificationGroup.Add(new BoolSetting("Detect falling tnt", "Should the bot detected falling tnt", true));
            notificationGroup.Add(new BoolSetting("Detect falling sand", "Should the bot detected falling sand", true));
            Setting.Add(notificationGroup);

            var otherGroup = new GroupSetting("Miscellaneous", "");

            otherGroup.Add(new StringListSetting("Friendly uuid(s)/name(s)", "Uuids/name(s) split by space.", ""));
            otherGroup.Add(new StringListSetting("Lamp coordinates", "Coordinates in the [X Y Z] format, split by a space", "[-1 -1 -1] [0 0 0] [1 1 1]"));
            otherGroup.Add(new ComboSetting("Mode", "Notification mode", new[] { "none", "@everyone", "@everyone + tts" }, 1));
            Setting.Add(otherGroup);

            Setting.Add(new LinkSetting("Add bot", "Adds the bot to your discord channel (you must have administrator permissions).", "https://discordapp.com/oauth2/authorize?client_id=299708378236583939&scope=bot&permissions=6152"));
        }
コード例 #13
0
ファイル: ActiveSetting.cs プロジェクト: HoareLea/SAM_Revit
        public static Setting GetDefault()
        {
            Setting result = new Setting(Assembly.GetExecutingAssembly());

            TypeMap parameterMap_General = Core.Create.TypeMap();

            //AnalyticalModel
            parameterMap_General.Add(AnalyticalModelParameter.NorthAngle, typeof(ProjectInfo), "SAM_NorthAngle");
            parameterMap_General.Add(AnalyticalModelParameter.CoolingSizingFactor, typeof(ProjectInfo), "SAM_SizingFactorCooling");
            parameterMap_General.Add(AnalyticalModelParameter.HeatingSizingFactor, typeof(ProjectInfo), "SAM_SizingFactorHeating");

            //Aperture
            parameterMap_General.Add(typeof(Aperture), typeof(FamilyInstance), "GetWidth", "SAM_BuildingElementWidth");
            parameterMap_General.Add(typeof(Aperture), typeof(FamilyInstance), "GetHeight", "SAM_BuildingElementHeight");
            parameterMap_General.Add(typeof(Aperture), typeof(FamilyInstance), "Guid", "SAM_GUID");

            //ApertureConstruction
            parameterMap_General.Add(ApertureConstructionParameter.Color, typeof(FamilySymbol), "SAM_BuildingElementColor");
            parameterMap_General.Add(ApertureConstructionParameter.Transparent, typeof(FamilySymbol), "SAM_BuildingElementTransparent");
            parameterMap_General.Add(ApertureConstructionParameter.Description, typeof(FamilySymbol), "SAM_BuildingElementDescription");
            parameterMap_General.Add(ApertureConstructionParameter.DefaultFrameWidth, typeof(FamilySymbol), "SAM_BuildingElementFrameWidth");
            parameterMap_General.Add(ApertureConstructionParameter.IsInternalShadow, typeof(FamilySymbol), "SAM_BuildingElementInternalShadows");
            //MD 2021-02-25 this property will duplicate from default type
            //parameterMap_General.Add(typeof(ApertureConstruction), typeof(FamilySymbol), "ApertureType", "SAM_BuildingElementType");

            //Construction
            parameterMap_General.Add(ConstructionParameter.Color, typeof(HostObjAttributes), "SAM_BuildingElementColor");
            parameterMap_General.Add(ConstructionParameter.DefaultPanelType, typeof(HostObjAttributes), "SAM_BuildingElementType");
            parameterMap_General.Add(ConstructionParameter.Description, typeof(HostObjAttributes), "SAM_BuildingElementDescription");
            parameterMap_General.Add(ConstructionParameter.IsAir, typeof(HostObjAttributes), "SAM_BuildingElementAir");
            parameterMap_General.Add(ConstructionParameter.IsInternalShadow, typeof(HostObjAttributes), "SAM_BuildingElementInternalShadows");
            parameterMap_General.Add(ConstructionParameter.IsGround, typeof(HostObjAttributes), "SAM_BuildingElementGround");
            parameterMap_General.Add(ConstructionParameter.Transparent, typeof(HostObjAttributes), "SAM_BuildingElementTransparent");
            parameterMap_General.Add(ConstructionParameter.DefaultThickness, typeof(HostObjAttributes), "SAM_BuildingElementThickness");

            //InternalCondition
            parameterMap_General.Add(typeof(InternalCondition), typeof(Autodesk.Revit.DB.Mechanical.Space), "Name", "SAM_IC_ThermalTemplate");


            parameterMap_General.Add(InternalConditionParameter.VentilationSystemTypeName, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_VentType");
            parameterMap_General.Add(InternalConditionParameter.HeatingSystemTypeName, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_HeatingTypePrimary");
            parameterMap_General.Add(InternalConditionParameter.CoolingSystemTypeName, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_CoolingTypePrimary");

            parameterMap_General.Add(InternalConditionParameter.OccupancyProfileName, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_OccupacyProfile");
            parameterMap_General.Add(InternalConditionParameter.OccupancySensibleGainPerPerson, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_OccupantSensGain");
            parameterMap_General.Add(InternalConditionParameter.OccupancyLatentGainPerPerson, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_OccupantLatGain");
            parameterMap_General.Add(InternalConditionParameter.AreaPerPerson, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_OccupantDensity");

            parameterMap_General.Add(InternalConditionParameter.EquipmentSensibleGainPerArea, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_SpecSmallPowerSens");
            parameterMap_General.Add(InternalConditionParameter.EquipmentSensibleProfileName, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_SmallPowerSensProfile");
            parameterMap_General.Add(InternalConditionParameter.EquipmentLatentGainPerArea, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_SpecSmallPowerLat");
            parameterMap_General.Add(InternalConditionParameter.EquipmentLatentProfileName, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_SmallPowerLatProfile");

            parameterMap_General.Add(InternalConditionParameter.LightingGainPerArea, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_SpecGenLighting");
            parameterMap_General.Add(InternalConditionParameter.LightingProfileName, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_GenLightingProfile");
            parameterMap_General.Add(InternalConditionParameter.LightingLevel, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_DesignLuxLevel");

            parameterMap_General.Add(InternalConditionParameter.InfiltrationAirChangesPerHour, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_CLGInfiltrationACH");
            parameterMap_General.Add(InternalConditionParameter.InfiltrationProfileName, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_InfiltrationProfile");

            parameterMap_General.Add(InternalConditionParameter.PollutantProfileName, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_PollutantProfile");
            parameterMap_General.Add(InternalConditionParameter.PollutantGenerationPerArea, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_PollutantGeneration_ghrm2");
            parameterMap_General.Add(InternalConditionParameter.PollutantGenerationPerPerson, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_PollutantGeneration_ghrperson");

            parameterMap_General.Add(InternalConditionParameter.HeatingEmitterRadiantProportion, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_HeatingEmmiterRadiantProportion"); // Add formula to copy value from System if InternalCondition has no value
            parameterMap_General.Add(InternalConditionParameter.HeatingEmitterCoefficient, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_HeatingEmmiterCoefficient");             // Add formula to copy value from System if InternalCondition has no value
            parameterMap_General.Add(InternalConditionParameter.HeatingProfileName, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_SpaceHeatingProfile");

            parameterMap_General.Add(InternalConditionParameter.CoolingEmitterRadiantProportion, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_CoolingEmmiterRadiantProportion"); // Add formula to copy value from System if InternalCondition has no value
            parameterMap_General.Add(InternalConditionParameter.CoolingEmitterCoefficient, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_CoolingEmmiterCoefficient");             // Add formula to copy value from System if InternalCondition has no value
            parameterMap_General.Add(InternalConditionParameter.CoolingProfileName, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_SpaceCoolingProfile");

            parameterMap_General.Add(InternalConditionParameter.HumidificationProfileName, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_SpaceHumidificationProfile");
            parameterMap_General.Add(InternalConditionParameter.DehumidificationProfileName, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_SpaceDehumidificationProfile");

            //Space
            parameterMap_General.Add(SpaceParameter.Area, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_Area");
            parameterMap_General.Add(SpaceParameter.Occupancy, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_NoPeople", null, "[SAM.Analytical.Query.CalculatedOccupancy(Object_1)]");
            parameterMap_General.Add(SpaceParameter.Volume, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_Volume");
            parameterMap_General.Add(SpaceParameter.FacingExternal, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_FacingExternal");
            parameterMap_General.Add(SpaceParameter.FacingExternalGlazing, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_FacingExternalGlazing");
            parameterMap_General.Add(SpaceParameter.CoolingSizingFactor, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_OversizingFactorCooling");
            parameterMap_General.Add(SpaceParameter.HeatingSizingFactor, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_OversizingFactorHeating");
            parameterMap_General.Add(typeof(Space), typeof(Autodesk.Revit.DB.Mechanical.Space), "Name", "SAM_SpaceName");
            parameterMap_General.Add(typeof(Space), typeof(Autodesk.Revit.DB.Mechanical.Space), "HeatingDesignTemperature", "SAM_WinterDesignTemperature", null, "[SAM.Analytical.Query.HeatingDesignTemperature(Object_1, AnalyticalModel)]");
            parameterMap_General.Add(typeof(Space), typeof(Autodesk.Revit.DB.Mechanical.Space), "CoolingDesignTemperature", "SAM_SummerDesignTemperature", null, "[SAM.Analytical.Query.CoolingDesignTemperature(Object_1, AnalyticalModel)]");
            parameterMap_General.Add(typeof(Space), typeof(Autodesk.Revit.DB.Mechanical.Space), "SpecificOccupancySensibleGain", "SAM_SpecOccupancySens", null, "[SAM.Analytical.Query.SpecificOccupancySensibleGain(Object_1)]");
            parameterMap_General.Add(SpaceParameter.SupplyAirFlow, typeof(Autodesk.Revit.DB.Mechanical.Space), "Specified Supply Airflow");
            parameterMap_General.Add(SpaceParameter.ExhaustAirFlow, typeof(Autodesk.Revit.DB.Mechanical.Space), "Specified Exhaust Airflow");
            parameterMap_General.Add(SpaceParameter.OutsideSupplyAirFlow, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_TotalZoneOutsideSupplyAirFlow");

            //SpaceSimulationResultParameter
            parameterMap_General.Add(SpaceSimulationResultParameter.Area, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_Area'");
            parameterMap_General.Add(SpaceSimulationResultParameter.Volume, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_Volume'");
            parameterMap_General.Add(SpaceSimulationResultParameter.OccupiedHours, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_OccupancyNoHoursYearly");
            parameterMap_General.Add(SpaceSimulationResultParameter.OccupiedHours25, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_ComfNoHoursAbv25'");
            parameterMap_General.Add(SpaceSimulationResultParameter.OccupiedHours28, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_ComfNoHoursAbv28'");
            parameterMap_General.Add(SpaceSimulationResultParameter.OccupiedHours25, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_ComfNoHoursAbv25Perc'", null, "[SAM.Analytical.Revit.Query.OccupiedHours25Percentage(Object_1)]");
            parameterMap_General.Add(SpaceSimulationResultParameter.OccupiedHours28, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_ComfNoHoursAbv28Perc'", null, "[SAM.Analytical.Revit.Query.OccupiedHours28Percentage(Object_1)]");
            parameterMap_General.Add(SpaceSimulationResultParameter.MaxDryBulbTemperature, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_SpaceDryBulbTemperature_Max'");
            parameterMap_General.Add(SpaceSimulationResultParameter.MinDryBulbTemperature, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_SpaceDryBulbTemperature_Min'");
            parameterMap_General.Add(SpaceSimulationResultParameter.MaxDryBulbTemperatureIndex, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_Date_SpaceDryBulbTemperature_Max'", null, "[SAM.Analytical.Convert.ToString(Value)]");
            parameterMap_General.Add(SpaceSimulationResultParameter.MinDryBulbTemperatureIndex, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_Date_SpaceDryBulbTemperature_Min'", null, "[SAM.Analytical.Convert.ToString(Value)]");
            parameterMap_General.Add(typeof(SpaceSimulationResult), typeof(Autodesk.Revit.DB.Mechanical.Space), "DateTime", "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_ResultsImportTime'", null, "[SAM.Analytical.Convert.ToString(Value)]");
            parameterMap_General.Add(typeof(SpaceSimulationResult), typeof(Autodesk.Revit.DB.Mechanical.Space), "Reference", "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_SpaceGUID'");

            //Panel
            parameterMap_General.Add(PanelParameter.Transparent, typeof(HostObject), "SAM_BuildingElementTransparent");
            parameterMap_General.Add(PanelParameter.ThermalTransmittance, typeof(HostObject), "SAM_SrfUValue");
            parameterMap_General.Add(PanelParameter.LightTransmittance, typeof(HostObject), "SAM_SrfLightTransmittance");
            parameterMap_General.Add(PanelParameter.LightReflectance, typeof(HostObject), "SAM_SrfLightReflectance");
            parameterMap_General.Add(PanelParameter.DirectSolarEnergyTransmittance, typeof(HostObject), "SAM_SrfDirectSolarEnergyTransmittance");
            parameterMap_General.Add(PanelParameter.DirectSolarEnergyReflectance, typeof(HostObject), "SAM_SrfDirectSolarEnergyReflectance");
            parameterMap_General.Add(PanelParameter.DirectSolarEnergyAbsorptance, typeof(HostObject), "SAM_SrfDirectSolarEnergyAbsorptance");
            parameterMap_General.Add(PanelParameter.TotalSolarEnergyTransmittance, typeof(HostObject), "SAM_SrfgValue");
            //mapCluster.Add(typeof(Panel), typeof(HostObject), null, "SAM_NorthAngle"); //double

            //mapCluster.Add(typeof(Panel), typeof(HostObject), null, "SAM_FacingExternal"); //double
            //mapCluster.Add(typeof(Panel), typeof(HostObject), null, "SAM_FacingExternalGlazing"); //double

            //Aperture
            parameterMap_General.Add(ApertureParameter.ThermalTransmittance, typeof(FamilyInstance), "SAM_SrfUValue");
            parameterMap_General.Add(ApertureParameter.LightTransmittance, typeof(FamilyInstance), "SAM_SrfLightTransmittance");
            parameterMap_General.Add(ApertureParameter.LightReflectance, typeof(FamilyInstance), "SAM_SrfLightReflectance");
            parameterMap_General.Add(ApertureParameter.DirectSolarEnergyTransmittance, typeof(FamilyInstance), "SAM_SrfDirectSolarEnergyTransmittance");
            parameterMap_General.Add(ApertureParameter.DirectSolarEnergyReflectance, typeof(FamilyInstance), "SAM_SrfDirectSolarEnergyReflectance");
            parameterMap_General.Add(ApertureParameter.DirectSolarEnergyAbsorptance, typeof(FamilyInstance), "SAM_SrfDirectSolarEnergyAbsorptance");
            parameterMap_General.Add(ApertureParameter.TotalSolarEnergyTransmittance, typeof(FamilyInstance), "SAM_SrfgValue");

            //Material
            parameterMap_General.Add(typeof(Core.Material), typeof(FamilyInstance), "ThermalConductivity", "SAM_Material_Conductivity");
            parameterMap_General.Add(typeof(Core.Material), typeof(FamilyInstance), "SpecificHeatCapacity", "SAM_Material_SpecificHeat");
            parameterMap_General.Add(typeof(Core.Material), typeof(FamilyInstance), "Density", "SAM_Material_Density");
            parameterMap_General.Add(typeof(Core.Material), typeof(FamilyInstance), "Description", "SAM_Material_Description");
            parameterMap_General.Add(typeof(Core.Material), typeof(FamilyInstance), "Name", "SAM_Material_Name");
            parameterMap_General.Add(RevitMaterialParameter.TypeName, typeof(FamilyInstance), "SAM_Material_Type");
            parameterMap_General.Add(Core.MaterialParameter.DefaultThickness, typeof(FamilyInstance), "SAM_Material_Width");
            parameterMap_General.Add(MaterialParameter.VapourDiffusionFactor, typeof(FamilyInstance), "SAM_Material_VapourDiffusionFactor");

            //GasMaterial
            parameterMap_General.Add(GasMaterialParameter.HeatTransferCoefficient, typeof(FamilyInstance), "SAM_Material_ConvectionCoefficient");

            //TransparentMaterial
            parameterMap_General.Add(TransparentMaterialParameter.ExternalEmissivity, typeof(FamilyInstance), "SAM_Material_ExternalEmissivity");
            parameterMap_General.Add(TransparentMaterialParameter.ExternalLightReflectance, typeof(FamilyInstance), "SAM_Material_ExternalLightReflectance");
            parameterMap_General.Add(TransparentMaterialParameter.ExternalSolarReflectance, typeof(FamilyInstance), "SAM_Material_ExternalSolarReflectance");
            parameterMap_General.Add(TransparentMaterialParameter.InternalEmissivity, typeof(FamilyInstance), "SAM_Material_InternalEmissivity");
            parameterMap_General.Add(TransparentMaterialParameter.InternalLightReflectance, typeof(FamilyInstance), "SAM_Material_InternalLightReflectance");
            parameterMap_General.Add(TransparentMaterialParameter.InternalSolarReflectance, typeof(FamilyInstance), "SAM_Material_InternalSolarReflectance");
            parameterMap_General.Add(TransparentMaterialParameter.IsBlind, typeof(FamilyInstance), "SAM_Material_IsBlind");
            parameterMap_General.Add(TransparentMaterialParameter.LightTransmittance, typeof(FamilyInstance), "SAM_Material_LightTransmittance");
            parameterMap_General.Add(TransparentMaterialParameter.SolarTransmittance, typeof(FamilyInstance), "SAM_Material_SolarTransmittance");

            //OpaqueMaterial
            parameterMap_General.Add(OpaqueMaterialParameter.ExternalEmissivity, typeof(FamilyInstance), "SAM_Material_ExternalEmissivity");
            parameterMap_General.Add(OpaqueMaterialParameter.ExternalLightReflectance, typeof(FamilyInstance), "SAM_Material_ExternalLightReflectance");
            parameterMap_General.Add(OpaqueMaterialParameter.ExternalSolarReflectance, typeof(FamilyInstance), "SAM_Material_ExternalSolarReflectance");
            parameterMap_General.Add(OpaqueMaterialParameter.IgnoreThermalTransmittanceCalculations, typeof(FamilyInstance), "SAM_Material_IngnoreInUvalue");
            parameterMap_General.Add(OpaqueMaterialParameter.InternalEmissivity, typeof(FamilyInstance), "SAM_Material_InternalEmissivity");
            parameterMap_General.Add(OpaqueMaterialParameter.InternalLightReflectance, typeof(FamilyInstance), "SAM_Material_InternalLightReflectance");
            parameterMap_General.Add(OpaqueMaterialParameter.InternalSolarReflectance, typeof(FamilyInstance), "SAM_Material_InternalSolarReflectance");


            result.Add(Core.Revit.ActiveSetting.Name.ParameterMap, parameterMap_General);

            TextMap textMap_Zone = Core.Create.TextMap("Zone Map");

            textMap_Zone.Add(ZoneType.Cooling.Text(), "SAM_ZoneCoolingReference");
            textMap_Zone.Add(ZoneType.Heating.Text(), "SAM_ZoneHeatingReference");
            textMap_Zone.Add(ZoneType.Ventilation.Text(), "SAM_ZoneVentilationReference");
            result.Add(Name.ZoneMap, textMap_Zone);

            TypeMap parameterMap_Cooling = Core.Create.TypeMap();

            parameterMap_Cooling.Add(SpaceSimulationResultParameter.UnmetHours, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_UnmetHoursCooling");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.UnmetHourFirstIndex, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_UnmetHourCoolingFirstInst");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.OccupiedHours, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_UnmetHoursCoolingOccupied");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.SizingMethod, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_SizingMethod'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.LoadIndex, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_PeakDate'", null, "[SAM.Analytical.Convert.ToString(Value)]");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.LoadIndex, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_PeakTime'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.DryBulbTempearture, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_SpaceDryBulbTemperature'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.ResultantTemperature, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_SpaceResultantTemperature'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.Load, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_CoolingLoad'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.SolarGain, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_SolarGain'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.LightingGain, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_LightingGain'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.InfiltrationGain, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_InfVentGain'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.AirMovementGain, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_AirMovementGain'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.BuildingHeatTransfer, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_BuildingHeatTransfer'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.GlazingExternalConduction, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_ExternalConductionGlazing'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.OpaqueExternalConduction, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_ExternalConductionOpaque'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.OccupancySensibleGain, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_OccupancySensibleGain'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.EquipmentSensibleGain, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_EquipmentSensibleGain'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.EquipmentLatentGain, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_EquipmentLatentGain'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.OccupancyLatentGain, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_OccupancyLatentGain'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.HumidityRatio, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_SpaceHumidityRatio'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.RelativeHumidity, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_SpaceRelativeHumidity'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.ApertureFlowIn, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_SpaceAperutreFlowIn'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.ApertureFlowOut, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_SpaceAperutreFlowOut'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.Pollutant, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_SpacePollutant'");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.DesignLoad, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_DesSpecSensCoolLoad'", null, "[SAM.Analytical.Query.SpecificDesignLoad(Object_1)]");
            parameterMap_Cooling.Add(SpaceSimulationResultParameter.DesignLoad, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_DesSensCoolingLoad'");// "[SAM.Analytical.Query.SpecificLoad(Object_1)]");
            parameterMap_Cooling.Add(AdjacencyClusterSimulationResultParameter.UnmetHours, typeof(ProjectInfo), "SAM_BuildingUnmetHoursCooling");
            parameterMap_Cooling.Add(typeof(Zone), typeof(Autodesk.Revit.DB.Mechanical.Space), "ZoneOutsideSupplyAirFlow", "SAM_ZoneCLGTotalOutsideSupplyAirFlow", null, "[SAM.Analytical.Query.CalculatedOutsideSupplyAirflow(AdjacencyCluster, Object_1)]");
            parameterMap_Cooling.Add(typeof(Zone), typeof(Autodesk.Revit.DB.Mechanical.Space), "ZoneSupplyAirFlow", "SAM_ZoneCLGSpecifiedSupplyAirflow", null, "[SAM.Analytical.Query.CalculatedSupplyAirflow(AdjacencyCluster, Object_1)]");
            parameterMap_Cooling.Add(typeof(Zone), typeof(Autodesk.Revit.DB.Mechanical.Space), "ZoneExhaustAirFlow", "SAM_ZoneCLGSpecifiedExhaustAirflow", null, "[SAM.Analytical.Query.CalculatedExhaustAirflow(AdjacencyCluster, Object_1)]");
            parameterMap_Cooling.Add(typeof(Zone), typeof(Autodesk.Revit.DB.Mechanical.Space), "HeatingSensibleLoad", "SAM_ZoneCLGHeatingSensLoad", null, "[SAM.Analytical.Query.DesignHeatingLoad(AdjacencyCluster, Object_1)]");
            parameterMap_Cooling.Add(ZoneSimulationResultParameter.MaxSensibleLoad, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_ZoneCLGCoolingSensLoad");
            parameterMap_Cooling.Add(ZoneSimulationResultParameter.MaxSensibleLoadIndex, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_ZoneCLGCoolingSensLoadPeakDate", null, "[SAM.Analytical.Convert.ToString(Value)]");
            result.Add(Name.ParameterMap_Cooling, parameterMap_Cooling);

            TypeMap parameterMap_Heating = Core.Create.TypeMap();

            parameterMap_Heating.Add(SpaceSimulationResultParameter.UnmetHours, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_UnmetHoursHeating");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.UnmetHourFirstIndex, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_UnmetHourHeatingFirstInst");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.OccupiedHours, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_UnmetHoursHeatingOccupied");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.SizingMethod, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_HDD_SizingMethod'");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.LoadIndex, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_HDD_PeakDate'", null, "[SAM.Analytical.Convert.ToString(Value)]");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.LoadIndex, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_HDD_PeakTime'");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.DryBulbTempearture, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_HDD_SpaceDryBulbTemperature'");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.ResultantTemperature, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_HDD_SpaceResultantTemperature'");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.Load, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_HeatingLoad'");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.InfiltrationGain, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_HDD_InfVentGain'");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.AirMovementGain, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_HDD_AirMovementGain'");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.GlazingExternalConduction, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_HDD_ExternalConductionGlazing'");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.OpaqueExternalConduction, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_HDD_ExternalConductionOpaque'");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.HumidityRatio, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_HDD_SpaceHumidityRatio'");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.BuildingHeatTransfer, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_HDD_BuildingHeatTransfer'");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.DesignLoad, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_DesSpecSensHeatLoad'", null, "[SAM.Analytical.Query.SpecificDesignLoad(Object_1)]");
            parameterMap_Heating.Add(SpaceSimulationResultParameter.DesignLoad, typeof(Autodesk.Revit.DB.Mechanical.Space), "='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_DesignSensHeatingLoad'");//"='SAM' + [SAM.Core.Revit.Query.ParameterNamePrefix(Object_1)] + '_Height'", null, "[SAM.Analytical.Query.Height(Object_1)]");
            parameterMap_Heating.Add(AdjacencyClusterSimulationResultParameter.UnmetHours, typeof(ProjectInfo), "SAM_BuildingUnmetHoursHeating");
            parameterMap_Heating.Add(typeof(Zone), typeof(Autodesk.Revit.DB.Mechanical.Space), "ZoneOutsideSupplyAirFlow", "SAM_ZoneHTGTotalOutsideSupplyAirFlow", null, "[SAM.Analytical.Query.CalculatedOutsideSupplyAirflow(AdjacencyCluster, Object_1)]");
            parameterMap_Heating.Add(typeof(Zone), typeof(Autodesk.Revit.DB.Mechanical.Space), "ZoneSupplyAirFlow", "SAM_ZoneHTGSpecifiedSupplyAirflow", null, "[SAM.Analytical.Query.CalculatedSupplyAirflow(AdjacencyCluster, Object_1)]");
            parameterMap_Heating.Add(typeof(Zone), typeof(Autodesk.Revit.DB.Mechanical.Space), "ZoneExhaustAirFlow", "SAM_ZoneHTGSpecifiedExhaustAirflow", null, "[SAM.Analytical.Query.CalculatedExhaustAirflow(AdjacencyCluster, Object_1)]");
            parameterMap_Heating.Add(typeof(Zone), typeof(Autodesk.Revit.DB.Mechanical.Space), "HeatingSensibleLoad", "SAM_ZoneHTGHeatingSensLoad", null, "[SAM.Analytical.Query.DesignHeatingLoad(AdjacencyCluster, Object_1)]");
            parameterMap_Heating.Add(ZoneSimulationResultParameter.MaxSensibleLoad, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_ZoneHTGCoolingSensLoad");
            parameterMap_Heating.Add(ZoneSimulationResultParameter.MaxSensibleLoadIndex, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_ZoneHTGCoolingSensLoadPeakDate", null, "[SAM.Analytical.Convert.ToString(Value)]");
            result.Add(Name.ParameterMap_Heating, parameterMap_Heating);

            TypeMap parameterMap_Ventilation = Core.Create.TypeMap();

            parameterMap_Ventilation.Add(typeof(Zone), typeof(Autodesk.Revit.DB.Mechanical.Space), "ZoneOutsideSupplyAirFlow", "SAM_ZoneVNTTotalOutsideSupplyAirFlow", null, "[SAM.Analytical.Query.CalculatedOutsideSupplyAirflow(AdjacencyCluster, Object_1)]");
            parameterMap_Ventilation.Add(typeof(Zone), typeof(Autodesk.Revit.DB.Mechanical.Space), "ZoneSupplyAirFlow", "SAM_ZoneVNTSpecifiedSupplyAirflow", null, "[SAM.Analytical.Query.CalculatedSupplyAirflow(AdjacencyCluster, Object_1)]");
            parameterMap_Ventilation.Add(typeof(Zone), typeof(Autodesk.Revit.DB.Mechanical.Space), "ZoneExhaustAirFlow", "SAM_ZoneVNTSpecifiedExhaustAirflow", null, "[SAM.Analytical.Query.CalculatedExhaustAirflow(AdjacencyCluster, Object_1)]");
            parameterMap_Ventilation.Add(typeof(Zone), typeof(Autodesk.Revit.DB.Mechanical.Space), "HeatingSensibleLoad", "SAM_ZoneVNTHeatingSensLoad", null, "[SAM.Analytical.Query.DesignHeatingLoad(AdjacencyCluster, Object_1)]");
            parameterMap_Ventilation.Add(ZoneSimulationResultParameter.MaxSensibleLoad, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_ZoneVNTCoolingSensLoad");
            parameterMap_Ventilation.Add(ZoneSimulationResultParameter.MaxSensibleLoadIndex, typeof(Autodesk.Revit.DB.Mechanical.Space), "SAM_ZoneVNTCoolingSensLoadPeakDate", null, "[SAM.Analytical.Convert.ToString(Value)]");
            result.Add(Name.ParameterMap_Ventilation, parameterMap_Ventilation);

            //File Names
            result.Add(Name.FileName_DefaultAirConstructionLibrary, "SAM_AirConstructionLibrary.JSON");

            result.Add(Name.ParameterMap_Tools, "ParameterMap_Tools");

            string path;

            path = Query.DefaultAirConstructionLibraryPath(result);
            if (System.IO.File.Exists(path))
            {
                result.Add(Name.Library_DefaultAirConstructionLibrary, Core.Create.IJSAMObject <ConstructionLibrary>(System.IO.File.ReadAllText(path)));
            }

            return(result);
        }
コード例 #14
0
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     Setting.Add(new StringSetting("Message once a player joins", "Use %new_player% for the name of the player", "Welcome %new_player%"));
     Setting.Add(new NumberSetting("Min delay", "The minimum amount of time the bot has to wait before sending another message. (seconds)", 4, 1, 120, 1));
     Setting.Add(new NumberSetting("Chance", "Chance that a new person will be greeted.", 100, 1, 100, 1));
 }
コード例 #15
0
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     Setting.Add(new BoolSetting("Disconnect bot?", "Should the bot leave the server once its muted?", true));
 }
コード例 #16
0
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     Setting.Add(new PathSetting("Banned accounts", "Outputs banned accounts to this file.", ""));
     Setting.Add(new PathSetting("Unbanned accounts", "Outputs unbanned accounts to this file.", ""));
     Setting.Add(new ComboSetting("Format", "Format that the accounts will be save in.", new string[] { "Email:Password", "Email", "Username" }, 0));
 }
コード例 #17
0
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     Setting.Add(new StringSetting("Words that doesn't change between captcha requests :", "Some words used for requesting captcha", "Example : You need to enter a captcha."));
     Setting.Add(new StringSetting("Captcha request pattern :", "Captcha request, replace the captcha by %captcha%", "Example : You need to enter a captcha, please send %captcha% in the chat in order to connect."));
     Setting.Add(new StringSetting("Command used to send the captcha :", "If you need to do '/captcha 123' to send the captcha, just enter '/captcha' below. Leave blank if no command.", ""));
 }
コード例 #18
0
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     Setting.Add(new PathSetting("Where to save", "Path of a .txt file, which will hold all the saved locations.", ""));
 }
コード例 #19
0
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     Setting.Add(new StringSetting("Macro on inventory full", "Starts the macro when the bots inventory is full.", ""));
     Setting.Add(new BlockCollectionSetting("IDs", "What ids will the miner look for.", "56:0 129:0 15:0 14:0 73:0 74:0 21:0 16:0", false));
 }
コード例 #20
0
ファイル: ActiveSetting.cs プロジェクト: HoareLea/SAM_Tas
        public static Setting GetDefault()
        {
            Setting result = new Setting(Assembly.GetExecutingAssembly());

            TypeMap typeMap = Core.Create.TypeMap();

            //mapCluster.Add(typeof(Space), typeof(TAS3D.Zone), "Colour", "colour");
            //mapCluster.Add(typeof(Space), typeof(TAS3D.Zone), "Description", "description");
            // mapCluster.Add(typeof(Space), typeof(TAS3D.Zone), "External", "external");
            //mapCluster.Add(typeof(Space), typeof(TAS3D.Zone), "GUID", "GUID");
            //mapCluster.Add(typeof(Space), typeof(TAS3D.Zone), "FloorArea", "floorArea");
            //mapCluster.Add(typeof(Space), typeof(TAS3D.Zone), "Volume", "volume");

            //new Revit Type added by MD 2020-07-22
            typeMap.Add(typeof(Space), typeof(TAS3D.Zone), "SAM_SpaceColor", "colour"); //to be added to Parameters
            typeMap.Add(typeof(Space), typeof(TAS3D.Zone), "SAM_SpaceDescription", "description");
            typeMap.Add(typeof(Space), typeof(TAS3D.Zone), "SAM_ExternalZone", "external");
            typeMap.Add(typeof(Space), typeof(TAS3D.Zone), "SAM_SpaceGUID", "GUID");
            typeMap.Add(typeof(Space), typeof(TAS3D.Zone), "SAM_Area", "floorArea"); //SAM_T_Area
            typeMap.Add(typeof(Space), typeof(TAS3D.Zone), "SAM_Volume", "volume");  //SAM_T_Volume
            //mapCluster.Add(typeof(Space), typeof(TAS3D.Zone), "SAM_Height", "height"); //SAM_T_Height to be added volume/area to review correct geometry


            /*
             * SAM_SpaceDescription
             * SAM_SpaceColor
             * SAM_ExternalZone
             * SAM_FacingExternal
             * SAM_FacingExternalGlazing
             * SAM_SpaceGUID
             * SAM_Area
             * SAM_Volume
             * SAM_Height
             */

            //mapCluster.Add(typeof(Panel), typeof(TAS3D.Element), "Colour", "colour");
            //mapCluster.Add(typeof(Panel), typeof(TAS3D.Element), "Description", "description");
            //mapCluster.Add(typeof(Panel), typeof(TAS3D.Element), "InternalShadows", "internalShadows");
            typeMap.Add(typeof(Panel), typeof(TAS3D.Element), "SecondaryProportion", "secondaryProportion");
            //mapCluster.Add(typeof(Panel), typeof(TAS3D.Element), "Transparent", "transparent");
            //mapCluster.Add(typeof(Panel), typeof(TAS3D.Element), "Width", "width");
            //mapCluster.Add(typeof(Panel), typeof(TAS3D.Element), "GHost", "ghost");
            typeMap.Add(typeof(Panel), typeof(TAS3D.Element), "FloorArea", "zoneFloorArea");
            //mapCluster.Add(typeof(Panel), typeof(TAS3D.Element), "GUID", "GUID");
            typeMap.Add(typeof(Panel), typeof(TAS3D.Element), "IsPreset", "isPreset");

            //new Revit Type added by MD 2020-07-22
            typeMap.Add(typeof(Construction), typeof(TAS3D.Element), "SAM_BuildingElementColor", "colour");
            typeMap.Add(typeof(Construction), typeof(TAS3D.Element), "SAM_BuildingElementDescription", "description");
            typeMap.Add(typeof(Panel), typeof(TAS3D.Element), "SAM_BuildingElementGUID", "GUID");
            typeMap.Add(typeof(Construction), typeof(TAS3D.Element), "SAM_BuildingElementInternalShadows", "internalShadows");
            typeMap.Add(typeof(Construction), typeof(TAS3D.Element), "SAM_BuildingElementTransparent", "transparent");
            typeMap.Add(typeof(Construction), typeof(TAS3D.Element), "SAM_BuildingElementThickness", "width");
            typeMap.Add(typeof(Construction), typeof(TAS3D.Element), "SAM_BuildingElementAir", "ghost");

            /*
             * SAM_BuildingElementAir
             * SAM_BuildingElementDescription
             * SAM_BuildingElementGround
             * SAM_BuildingElementGUID
             * SAM_BuildingElementInternalShadows
             * SAM_BuildingElementThickness
             * SAM_BuildingElementTransparent
             * SAM_BuildingElementType
             */

            //mapCluster.Add(typeof(Aperture), typeof(TAS3D.window), "Colour", "colour");
            //mapCluster.Add(typeof(Aperture), typeof(TAS3D.window), "Description", "description");
            //mapCluster.Add(typeof(Aperture), typeof(TAS3D.window), "InternalShadows", "internalShadows");
            typeMap.Add(typeof(Aperture), typeof(TAS3D.window), "FrameDepth", "frameDepth");
            //mapCluster.Add(typeof(Aperture), typeof(TAS3D.window), "FrameWidth", "frameWidth");
            //mapCluster.Add(typeof(Aperture), typeof(TAS3D.window), "Transparent", "transparent");
            //mapCluster.Add(typeof(Aperture), typeof(TAS3D.window), "Width", "width");
            //mapCluster.Add(typeof(Aperture), typeof(TAS3D.window), "Height", "height");
            //mapCluster.Add(typeof(Aperture), typeof(TAS3D.window), "GUID", "GUID");
            typeMap.Add(typeof(Aperture), typeof(TAS3D.window), "IsPreset", "isPreset");

            //new Revit Type added by MD 2020-07-22
            typeMap.Add(typeof(Aperture), typeof(TAS3D.window), "SAM_BuildingElementColor", "colour");
            typeMap.Add(typeof(Aperture), typeof(TAS3D.window), "SAM_BuildingElementDescription", "description");
            typeMap.Add(typeof(Aperture), typeof(TAS3D.window), "SAM_BuildingElementInternalShadows", "internalShadows");
            typeMap.Add(typeof(Aperture), typeof(TAS3D.window), "SAM_BuildingElementFrameWidth", "frameWidth");
            typeMap.Add(typeof(Aperture), typeof(TAS3D.window), "SAM_BuildingElementTransparent", "transparent");
            typeMap.Add(typeof(Aperture), typeof(TAS3D.window), "SAM_BuildingElementWidth", "width");
            typeMap.Add(typeof(Aperture), typeof(TAS3D.window), "SAM_BuildingElementHeight", "height");
            typeMap.Add(typeof(Aperture), typeof(TAS3D.window), "SAM_BuildingElementGUID", "GUID");


            typeMap.Add(typeof(RelationCluster), typeof(TAS3D.Building), "Description", "description");
            typeMap.Add(typeof(RelationCluster), typeof(TAS3D.Building), "Latitude", "latitude");   //this is based on SAM_FutureWeatherFile
            typeMap.Add(typeof(RelationCluster), typeof(TAS3D.Building), "Longitude", "longitude"); //this is based on SAM_FutureWeatherFile
            //mapCluster.Add(typeof(RelationCluster), typeof(TAS3D.Building), "NorthAngle", "northAngle");
            typeMap.Add(typeof(RelationCluster), typeof(TAS3D.Building), "TimeZone", "timeZone");   //this is based on SAM_FutureWeatherFile
            typeMap.Add(typeof(RelationCluster), typeof(TAS3D.Building), "GUID", "GUID");
            typeMap.Add(typeof(RelationCluster), typeof(TAS3D.Building), "Year", "year");           //this is based on SAM_FutureWeatherFile

            //new Revit Type added by MD 2020-07-22
            typeMap.Add(typeof(RelationCluster), typeof(TAS3D.Building), "SAM_NorthAngle", "northAngle");
            typeMap.Add(typeof(RelationCluster), typeof(TAS3D.Building), "SAM_Elevation", "elevation"); //not sure if exisit already



            typeMap.Add(typeof(GuidCollection), typeof(TAS3D.zoneSet), "Description", "description");

            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "Colour", "colour");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "Description", "description");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "CentreOffset", "centreOffset");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "FrameDepth", "frameDepth");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "FrameOffset", "frameOffset");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "FrameWidth", "frameWidth");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "Height", "height");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "InternalShadows", "internalShadows");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "Level", "level");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "Transparent", "transparent");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "Width", "width");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "FrameGUID", "frameGUID");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "HorizfinsGUID", "horizfinsGUID");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "VertfinsGUID", "vertfinsGUID");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "hasFrame", "HasFrame");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "HasHorizFins", "hasHorizFins");
            typeMap.Add(typeof(Panel), typeof(TAS3D.shade), "HasVertFins", "hasVertFins");

            typeMap.Add(typeof(Space), typeof(TSD.ZoneData), "ZoneNumber", "zoneNumber");
            typeMap.Add(typeof(Space), typeof(TSD.ZoneData), "Description", "description");
            typeMap.Add(typeof(Space), typeof(TSD.ZoneData), "ZoneGuid", "zoneGUID");
            typeMap.Add(typeof(Space), typeof(TSD.ZoneData), "Volume", "volume");
            typeMap.Add(typeof(Space), typeof(TSD.ZoneData), "FloorArea", "floorArea");
            typeMap.Add(typeof(Space), typeof(TSD.ZoneData), "ConvectiveCommonRatio", "convectiveCommonRatio");
            typeMap.Add(typeof(Space), typeof(TSD.ZoneData), "RadiantCommonRatio", "radiantCommonRatio");

            typeMap.Add(typeof(Panel), typeof(TSD.SurfaceData), "SurfaceNumber", "surfaceNumber");
            typeMap.Add(typeof(Panel), typeof(TSD.SurfaceData), "Area", "area");
            typeMap.Add(typeof(Panel), typeof(TSD.SurfaceData), "Orientation", "orientation");

            typeMap.Add(SpaceSimulationResultParameter.ZoneNumber, typeof(TSD.ZoneData), "zoneNumber");
            typeMap.Add(SpaceSimulationResultParameter.ZoneGuid, typeof(TSD.ZoneData), "zoneGUID");


            result.Add(Core.Tas.ActiveSetting.Name.ParameterMap, typeMap);

            return(result);
        }
コード例 #21
0
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     Setting.Add(new StringSetting("Owner name/uuid", "Player that the bots will follow.", ""));
 }
コード例 #22
0
 public override void OnLoad(int version, int subversion, int buildversion)
 {
     Setting.Add(new StringSetting("Authorized Users", "The bot will only hear to those users. (split with space)", ""));
     Setting.Add(new StringSetting("Trigger Keywords", "Keywords the bot should react to (You can also use phrases). (split with comma)", ""));
     Setting.Add(new StringSetting("Trigger Macro", "Macro name that will get triggered", ""));
 }